AlgorithmType (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml, enum: AlgorithmType

Package opennlp.tools.ml

# Enum Class AlgorithmType

java.lang.Object
java.lang.Enum<AlgorithmType>
opennlp.tools.ml.AlgorithmType

All Implemented Interfaces:
  `Serializable`, `Comparable<AlgorithmType>`, `Constable`

public enum AlgorithmType extends Enum<AlgorithmType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAXENT`
  `MAXENT_QN`
  `NAIVE_BAYES`
  `PERCEPTRON`
  `PERCEPTRON_SEQUENCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlgorithmType`
  `fromAlgorithmType(String type)`
  `static AlgorithmType`
  `fromModelType(String type)`
  `String`
  `getAlgorithmType()`
  `String`
  `getModelType()`
  `String`
  `getReaderClazz()`
  `String`
  `getTrainerClazz()`
  `String`
  `getWriterClazz()`
  `static AlgorithmType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlgorithmType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAXENT

    public static final AlgorithmType MAXENT

  - ### MAXENT_QN

    public static final AlgorithmType MAXENT_QN

  - ### PERCEPTRON

    public static final AlgorithmType PERCEPTRON

  - ### PERCEPTRON_SEQUENCE

    public static final AlgorithmType PERCEPTRON_SEQUENCE

  - ### NAIVE_BAYES

    public static final AlgorithmType NAIVE_BAYES

- ## Method Details

  - ### values

    public static AlgorithmType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlgorithmType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAlgorithmType

    public String getAlgorithmType()

  - ### getTrainerClazz

    public String getTrainerClazz()

  - ### getModelType

    public String getModelType()

  - ### getReaderClazz

    public String getReaderClazz()

  - ### getWriterClazz

    public String getWriterClazz()

  - ### fromAlgorithmType

    public static AlgorithmType fromAlgorithmType(String type)
    Parameters:
      `type` - no restriction on the type.
    Returns:
      the `AlgorithmType` corresponding to the given algorithm type.
    Throws:
      `IllegalArgumentException` - if the given type is not a valid `AlgorithmType`.

  - ### fromModelType

    public static AlgorithmType fromModelType(String type)
    Parameters:
      `type` - no restriction on the type.
    Returns:
      the `AlgorithmType` corresponding to the given reader type.
    Throws:
      `IllegalArgumentException` - if the given type is not a valid `AlgorithmType`.